Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Create Product

POST/api/v1/products
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Request body
requiredapplication/json
idstringrequired
namestringrequired
analytics_keystring | any
Show properties
Any of:
string
string
any
any
dictionariesobject
subtopics_by_topicobject
Responses
201Successful Response
successboolean
default: true
dataProduct | any
Show properties
Any of:
Product
idstringrequired
schema_versioninteger
default: 1
namestringrequired
analytics_keystring | any
Show properties
Any of:
string
string
any
any
dictionariesobject
subtopics_by_topicobject
created_atstring<date-time>
updated_atstring<date-time>
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST "/api/v1/products" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "string",
  "name": "string",
  "analytics_key": "string",
  "dictionaries": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "subtopics_by_topic": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "schema_version": 1,
    "name": "string",
    "analytics_key": "string",
    "dictionaries": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "subtopics_by_topic": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "message": "string",
  "errors": [
    "string"
  ]
}